# Connection Settings

## List

> Retrieve a list of all remote session settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionSettings":{"get":{"tags":["2-Site settings/Connection and Authentication//Connections"],"summary":"List","description":"Retrieve a list of all remote session settings.","operationId":"5f6255bd-a9f9-4e63-868f-468ec6507f8a","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve all remote session settings (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASSessionSetting"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASSessionSetting":{"type":"object","properties":{"fipsMode":{"$ref":"#/components/schemas/FIPSModeSett"},"remoteIdleSessionTimeout":{"type":"integer","description":"<para type=\"description\">The session idle timeout (in seconds).</para>","format":"int32"},"logoffIdleSessionTimeout":{"type":"integer","description":"<para type=\"description\">The client logoff timeout (in seconds).</para>","format":"int32"},"cachedSessionTimeout":{"type":"integer","description":"<para type=\"description\">The cached session timeout (in seconds).</para>","format":"int32"},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate settings to other sites.</para>"},"siteId":{"type":"integer","description":"<para type=\"description\">ID of the Site.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Session Settings</para>\r\n<para type=\"description\"></para>"},"FIPSModeSett":{"enum":[["0 = Disabled","1 = Allowed","2 = Enforced"]],"type":"string","description":"<para type=\"synopsis\">FIPS Mode Setting</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update settings of a remote session

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionSettings":{"put":{"tags":["2-Site settings/Connection and Authentication//Connections"],"summary":"Update","description":"Update settings of a remote session","operationId":"30f6cbe4-0e1d-48d1-9c1d-8aa37241f25b","parameters":[{"name":"SiteId","in":"query","description":"ID of the site for which the remote session settings will be updated","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Remote session settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetSessionSetting"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetSessionSetting":{"type":"object","properties":{"remoteIdleSessionTimeout":{"type":"integer","description":"<para type=\"description\">Set the session idle timeout (in seconds).</para>","format":"int32","nullable":true},"logoffIdleSessionTimeout":{"type":"integer","description":"<para type=\"description\">Set the client logoff timeout (in seconds).</para>","format":"int32","nullable":true},"cachedSessionTimeout":{"type":"integer","description":"<para type=\"description\">Set the cached session timeout (in seconds).</para>","format":"int32","nullable":true},"fipsMode":{"$ref":"#/components/schemas/FIPSModeSett"},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Whether to replicate settings to other sites.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update user session settings</para>\r\n<para type=\"description\"></para>"},"FIPSModeSett":{"enum":[["0 = Disabled","1 = Allowed","2 = Enforced"]],"type":"string","description":"<para type=\"synopsis\">FIPS Mode Setting</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
